// IslandView.h : interface of the CIslandView class
//
/////////////////////////////////////////////////////////////////////////////

class CIslandView : public CView
{
protected: // create from serialization only
	void InitializePalette();
	CIslandView();
	DECLARE_DYNCREATE(CIslandView)

// Attributes
public:
	CPalette m_GLPalette; //logical palette
	HDC m_hDc;	//Rendering context
	HGLRC m_hRc; //deivce context
	CIslandDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIslandView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CIslandView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CIslandView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnQueryNewPalette();
	afx_msg void OnPaletteChanged(CWnd* pFocusWnd);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnWeatherFoggy();
	afx_msg void OnUpdateWeatherFoggy(CCmdUI* pCmdUI);
	afx_msg void OnWeatherSunny();
	afx_msg void OnUpdateWeatherSunny(CCmdUI* pCmdUI);
	afx_msg void OnTexturesUsetextures();
	afx_msg void OnUpdateTexturesUsetextures(CCmdUI* pCmdUI);
	afx_msg void OnCameraGod();
	afx_msg void OnUpdateCameraGod(CCmdUI* pCmdUI);
	afx_msg void OnCameraMan();
	afx_msg void OnUpdateCameraMan(CCmdUI* pCmdUI);
	afx_msg void OnCameraWoman();
	afx_msg void OnUpdateCameraWoman(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in IslandView.cpp
inline CIslandDoc* CIslandView::GetDocument()
   { return (CIslandDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
